## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSaver Struct Reference

This interface is used to serialize the engine contents. More...

`#include <imap/saver.h>`

Inheritance diagram for iSaver:

[legend]
List of all members.

## Public Member Functions

virtual bool | SaveMapFile (csRef< iDocumentNode > &root)=0
| Save map to DocumentNode.
virtual csRef< iString > | SaveMapFile ()=0
| Return the current engine contents as a string.
virtual bool | SaveMapFile (const char *filename)=0
| Save the current engine contents to the filename.

## Detailed Description

This interface is used to serialize the engine contents.

Definition at line 37 of file saver.h.

## Member Function Documentation

virtual bool iSaver::SaveMapFile | ( | csRef< iDocumentNode > & | root | ) | `[pure virtual]`

| Save map to DocumentNode.

virtual csRef<iString> iSaver::SaveMapFile | ( |  | ) | `[pure virtual]`

| Return the current engine contents as a string.

virtual bool iSaver::SaveMapFile | ( | const char * | filename | ) | `[pure virtual]`

| Save the current engine contents to the filename.

The documentation for this struct was generated from the following file:

- imap/saver.h